İçeriğe geç

Vidu · Q3 · Text to Video

Entegre et

Model kimliği vidu/q3/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,77 770 API kredisi · ≈ ₽82,84 Bu sayfada çalıştır

API anahtarı al
Vidu Metinden Videoya 1–16 s1080p değerine kadar #text-to-video

1-16 saniyelik klipler, beş en-boy oranı, 1080p'ye kadar çözünürlük ve varsayılan ses sunan Q3 text-to-video

Vidu · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 2000

2000 karakterle sınırlı video üretim metin talimatları.

aspect_ratio varsayılan 16:9

Çıktı videosunun en-boy oranı.

resolution varsayılan 720p

Sonuç videosunun çözünürlüğü.

varsayılan 5

Saniye cinsinden ölçülen video uzunluğu.

Gelişmiş seed · audio · enable_safety_checker

Üretimi tekrarlanabilir kılan seed. None olarak ayarlanması seed'in rastgele seçilmesini sağlar.

POST /run/vidu/q3/text-to-video?wait=20 fiyat → $0,77
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Vidu · Q3 · Text to Video hakkında

2000 karaktere kadar bir `prompt` ile video oluşturur. `duration` 1-16 saniye, `resolution` 360p-1080p, `aspect_ratio` ise 16:9, 9:16, 4:3, 3:4 veya 1:1'dir. `audio` (varsayılan true), videoyla birlikte ses çıktısı verir.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 2.000 karakter
2000 karakterle sınırlı video üretim metin talimatları.
durationisteğe bağlı
Türinteger
Varsayılan5
1 – 16
Saniye cinsinden ölçülen video uzunluğu.
seedisteğe bağlı
Türinteger | null
Üretimi tekrarlanabilir kılan seed. None olarak ayarlanması seed'in rastgele seçilmesini sağlar.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
16:99:164:33:41:1
Çıktı videosunun en-boy oranı.
resolutionisteğe bağlı
Türenum
Varsayılan720p
360p540p720p1080p
Sonuç videosunun çözünürlüğü.
audioisteğe bağlı
Türboolean
Varsayılantrue
Bunu true olarak ayarlayarak doğrudan ses-video üretimiyle videoyla birlikte ses üretir.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "vidu/q3/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 770,
    "usd": "0.77",
    "charged": 770,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Q3 modeli tarafından metinden üretilen video.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/vidu/q3/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt